package agent

import (
	"gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v18/internal/module/modagentw"
	"gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v18/internal/module/workspaces"
)

type Factory struct {
}

func (f *Factory) IsProducingLeaderModules() bool {
	return false
}

func (f *Factory) New(config *modagentw.Config) (modagentw.Module, error) {
	return &module{
		log: config.Log,
	}, nil
}

func (f *Factory) Name() string {
	return workspaces.ModuleName
}
